Site Links
Home
Features
Documentation
Pricing & Order
Members Area
Support Options
UBBDev.com
UBBWiki.com
Who's Online Now
3 registered members (isaac, Gizmo, GliderCENTRAL), 67 guests, and 248 spiders.
Key: Admin, Global Mod, Mod
Member Spotlight
dbremer
dbremer
Minnesota
Posts: 96
Joined: January 2012
Show All Member Profiles 
Top Posters(30 Days)
Gizmo 25
Ruben 14
Morgan 12
isaac 9
Alento 3
SteveS 3
JAISP 2
Latest Photos
Test
Testing to drag photos
Comfortable Cats
Test
BSA photos
Previous Thread
Next Thread
Print Thread
Problem upgrading from 7.5.7 to 7.5.8 #255077
03/18/14 01:18 PM
03/18/14 01:18 PM
M
MichaelM  Offline OP
newbie
Joined: Aug 2007
Posts: 45
After performing the steps to upgrade our message board from 7.5.7 to 7.5.8, when I run install/upgrade.php I get the following error

Fatal error: Call to undefined function: date_default_timezone_set() in /var/www/html/forum/libs/ubbthreads.inc.php on line 33

Any suggestions on how to proceed?

I used the latest version of ubb in the member area.

Express Hosting
Express Hosting "We are the official hosting company of UBB.threads. Ask us about our free migration services to migrate your UBB.threads installation."
Re: Problem upgrading from 7.5.7 to 7.5.8 [Re: MichaelM] #255078
03/18/14 01:46 PM
03/18/14 01:46 PM
R
Ruben  Offline

Joined: Dec 2003
Posts: 5,948
Lutz,FL
What version of PHP do you have?
Most issues are due to a extremely old php version that does not support that function.
google:
Call to undefined function: date_default_timezone_set
One post to read.
http://board.phpbuilder.com/showthread.php?10365481-Call-to-undefined-function-date_default_timezone_set%28%29


Blue Man Group


There is no such thing as stupid questions. Just stupid answers
Re: Problem upgrading from 7.5.7 to 7.5.8 [Re: MichaelM] #255079
03/18/14 01:58 PM
03/18/14 01:58 PM
M
MichaelM  Offline OP
newbie
Joined: Aug 2007
Posts: 45
4.4.6

I will try upgrading to 5.3.8

Re: Problem upgrading from 7.5.7 to 7.5.8 [Re: MichaelM] #255080
03/18/14 02:05 PM
03/18/14 02:05 PM
R
Ruben  Offline

Joined: Dec 2003
Posts: 5,948
Lutz,FL
Note to Brooks!!!
Since v7.5.8 was released to support newer versions of PHP possibly the requirements page that states
Minimum version of php 4.3+ is not correct anymore?
https://www.ubbcentral.com/


Blue Man Group


There is no such thing as stupid questions. Just stupid answers
Re: Problem upgrading from 7.5.7 to 7.5.8 [Re: MichaelM] #255081
03/18/14 02:57 PM
03/18/14 02:57 PM
M
MichaelM  Offline OP
newbie
Joined: Aug 2007
Posts: 45
I upgraded to PHP version 5.3.8 and the upgrade was successful. Thank you for the help.

Note that I would have missed the entire minimum php version required notice. I just assumed that the jump from .7 to .8 was minor and did not require an update of PHP on our server.

Maybe adding a check at the start of the unpdate script of the installed PHP version would help.

Thanks again,
Mike


Shout Box
Today's Birthdays
No Birthdays
Recent Topics
testar
by Morgan. 11/18/18 02:33 PM
Phishing SCAM emails
by Morgan. 11/16/18 01:28 PM
Repliers can change thread title
by Baldeagle. 11/12/18 08:49 PM
Tabs In Header
by AstroCat. 11/11/18 08:33 AM
Mindraven
by SteveS. 11/09/18 07:12 PM
Forum Statistics
Forums36
Topics35,167
Posts191,606
Members12,113
Most Online978
Jun 24th, 2007
Random Image
Powered by UBB.threads™ PHP Forum Software 7.6.2